function femmodel=ResetBoundaryConditions(femmodel,analysis_type);
%RESETBOUNDARYCONDITIONS - change boundary conditions of a model
%
%   Change boundary condition of a model using a vector solution from another model
%
%   Usage:
%      femmodel=ResetBoundaryConditions(femmodel,analysis_type)

	issmprintf(VerboseSolution,'\n%s',['   updating boundary condition ...']);

	%set current analysis: 
	femmodel=SetCurrentConfiguration(femmodel,analysis_type);

	ug=GetSolutionFromInputs(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters);

	%For this analysis_type, free existing boundary condition vectors:
	analysis_counter=femmodel.parameters.AnalysisCounter+1; %matlab indexing on counter
	femmodel.m_ys{analysis_counter}=[];

	%Reduce from g to s set
	ys=Reducevectorgtos(ug,femmodel.m_nodesets{analysis_counter},femmodel.parameters);

	%in the s-set
	femmodel.m_ys{analysis_counter}=ys;

